rte_event_vector_adapter_conf(3)

NAME
rte_event_vector_adapter_conf

SYNOPSIS

#include <rte_event_vector_adapter.h>

  Data Fields

uint8_t event_dev_id
uint32_t socket_id
struct rte_event ev
struct rte_event ev_fallback
uint16_t vector_sz
uint64_t vector_timeout_ns
struct rte_mempool * vector_mp

Detailed Description

Vector adapter configuration structure

Definition at line 136 of file rte_event_vector_adapter.h.

Field Documentation

  uint8_t event_dev_id
Event device identifier

Definition at line 137 of file rte_event_vector_adapter.h.

  uint32_t socket_id
Identifier of socket from which to allocate memory for adapter

Definition at line 139 of file rte_event_vector_adapter.h.

  struct rte_event ev
The values from the following event fields will be used when queuing work:

•   queue_id: Targeted event queue ID for vector event.

•   event_priority: Event priority of the vector event in the event queue relative to other events.

•   sched_type: Scheduling type for events from this vector adapter.

•   event_type: Event type for the vector event.

•   sub_event_type: Sub event type for the vector event.

•   flow_id: Flow ID for the vectors enqueued to the event queue by the vector adapter.

Definition at line 141 of file rte_event_vector_adapter.h.

  struct rte_event ev_fallback
The values from the following event fields will be used when aggregation fails and single event is enqueued:

•   event_type: Event type for the single event.

•   sub_event_type: Sub event type for the single event.

•   flow_id: Flow ID for the single event.

Other fields are taken from rte_event_vector_adapter_conf::ev.

Definition at line 154 of file rte_event_vector_adapter.h.

  uint16_t vector_sz
Indicates the maximum number for enqueued work to combine and form a vector. Should be within vectorization limits of the adapter.

See also
    rte_event_vector_adapter_info::min_vector_sz

    rte_event_vector_adapter_info::max_vector_sz

Definition at line 164 of file rte_event_vector_adapter.h.

  uint64_t vector_timeout_ns
Indicates the maximum number of nanoseconds to wait for receiving work. Should be within vectorization limits of the adapter.

See also
    rte_event_vector_adapter_info::min_vector_ns

    rte_event_vector_adapter_info::max_vector_ns

Definition at line 171 of file rte_event_vector_adapter.h.

  struct rte_mempool* vector_mp
Indicates the mempool that should be used for allocating rte_event_vector container.

See also
    rte_event_vector_pool_create

Definition at line 178 of file rte_event_vector_adapter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.